Bug 95488 - [IGT] gem_exec_flush / uc before fails (speculative fetching)
Summary: [IGT] gem_exec_flush / uc before fails (speculative fetching)
Status: CLOSED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: lowest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-19 09:58 UTC by cprigent
Modified: 2018-04-05 11:46 UTC (History)
2 users (show)

See Also:
i915 platform: BSW/CHT, BXT, GLK
i915 features: power/Other


Attachments
apl_output_gem-exec-flush_uc-r- (10.25 KB, text/plain)
2016-05-19 09:58 UTC, cprigent
no flags Details
apl_gem-exec-flush_uc-r-_kern.log (285.33 KB, text/plain)
2016-05-19 09:58 UTC, cprigent
no flags Details
dmesg log GLK (127.32 KB, text/plain)
2017-09-13 19:05 UTC, Elizabeth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cprigent 2016-05-19 09:58:21 UTC
Created attachment 123904 [details]
apl_output_gem-exec-flush_uc-r-

Platform: Broxton P A0 Platform 
CPU Name : Intel(R) @ 1.2 GHz (family: 6, model: 92, stepping: 8) – 4 cores
SoC : BROXTON-P A0
QDF : QYE2
CRB : Apollo Lake RVPC1 Fab1
Software 
Bios: APLKRVPA.X64.0116.R20.1512211905
KSC: 1.05
Linux distribution: Ubuntu 15.10 64 bits
Kernel: drm-intel-nightly 4.6.0 d381724 from http://cgit.freedesktop.org/drm-intel/
	commit d3817246ca053dd3e7ea8017db4a74707f8195a2
	Author: Jani Nikula <jani.nikula@intel.com>
	Date:   Mon May 16 15:14:24 2016 +0300
	drm-intel-nightly: 2016y-05m-16d-12h-14m-04s UTC integration manifest
drm: libdrm-2.4.68 7aab852 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-11.1.2 7bcd827 from git://anongit.freedesktop.org/mesa/mesa
cairo: 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
DMC 1.07
intel-gpu-tools 1.14 b88bce4 from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git

Steps:
-------
1. Execute commands:
cd <...>/intel-gpu-tools/tests
# ./gem_exec_flush --run-subtest uc-ro-before-blt
# ./gem_exec_flush --run-subtest uc-ro-before-bsd
# ./gem_exec_flush --run-subtest uc-ro-before-render
# ./gem_exec_flush --run-subtest uc-ro-before-vebox
# ./gem_exec_flush --run-subtest uc-rw-before-blt
# ./gem_exec_flush --run-subtest uc-rw-before-bsd
# ./gem_exec_flush --run-subtest uc-rw-before-render
# ./gem_exec_flush --run-subtest uc-rw-before-render-interruptible


Actual result:
---------------
Tests are fail

Expected result:
-----------------
Tests are Pass
Or should the tests skip if the failure is expected?
Comment 1 cprigent 2016-05-19 09:58:48 UTC
Created attachment 123905 [details]
apl_gem-exec-flush_uc-r-_kern.log
Comment 2 Chris Wilson 2016-05-19 10:18:18 UTC
(In reply to cprigent from comment #0)
> Expected result:
> -----------------
> Tests are Pass
> Or should the tests skip if the failure is expected?

-before- are more of an xfail. Definitely consider taking it out of basic but I don't want to skip it and rather keep the failure being checked and recorded.
Comment 3 Chris Wilson 2016-05-19 10:48:31 UTC
commit a1b0ed1dc48ea209b2a3a07a2d24245ad2cd1948
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu May 19 11:35:14 2016 +0100

    igt/gem_exec_flush: Exclude -before- subtests from BAT
    
    The *-before-* tests were designed to detect a potential issue with long
    speculative prefetches that would load the map[] before we have even
    called execbuf(). As CPUs get smarter and able to look ahead further we
    are starting to see failures and as we know the code is deliberately
    buggy exclude the tests from BAT. (I want to keep the tests in the full
    suite so that we can record which processors are affected, and look for
    related issues.)
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=95378
    References: https://bugs.freedesktop.org/show_bug.cgi?id=95488
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 4 Humberto Israel Perez Rodriguez 2016-05-21 19:57:59 UTC
The following tests cases fail on BXT-P :

tests cases
===========================
igt@gem_exec_flush@basic-uc-ro-before-default
igt@gem_exec_flush@uc-rw-before-bsd-interruptible
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-ro-before-blt-interruptible


Software information
===========================
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Bios revision                       : 129.10
KSC revision                        : 1.12

Hardware information
=============================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : Other
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])
CPU's number                        : 4

Graphic stack
=========================
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.68-4-g7aab852 
	 commit : 7aab852 
	 author : Sonny Jiang <sonny.jiang@amd.com> 
	 age : 5 days ago 
 --> Component : mesa 
	 url : http://cgit.freedesktop.org/mesa/mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
	 author : Emil Velikov <emil.velikov@collabora.com> 
	 age : 3 months ago 
 --> Component : xf86-video-intel 
	 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
	 tag : 2.99.917-645-g88733a7 
	 commit : 88733a7 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 10 days ago 
 --> Component : libva 
	 url : http://cgit.freedesktop.org/libva/ 
	 tag : libva-1.7.0-10-gcfed369 
	 commit : cfed369 
	 author : peng.chen <peng.c.chen@intel.com> 
	 age : 6 days ago 
 --> Component : vaapi (intel-driver) 
	 url : http://cgit.freedesktop.org/vaapi/intel-driver 
	 tag : 1.7.0-23-g0be0b21 
	 commit : 0be0b21 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 7 days ago 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
	 author : Bryce Harrington <bryce@osg.samsung.com> 
	 age : 5 months ago 
 --> Component : xserver 
	 url :  http://cgit.freedesktop.org/xorg/xserver 
	 tag : xorg-server-1.18.0-324-g984be78 
	 commit : 984be78 
	 author : Olivier Fourdan <ofourdan@redhat.com> 
	 age : 6 days ago 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-319-gb88bce4 
	 commit : b88bce4 
	 author : Mika Kuoppala <mika.kuoppala@intel.com> 
	 age : 4 days ago 


kernel
======================
commit 5528ede25a356196417ee02aa153b17fe90c1be5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat May 14 09:24:52 2016 +0100

    drm-intel-nightly: 2016y-05m-14d-08h-24m-24s UTC integration manifest


Kernel version : 4.6.0-rc7
Architecture : source amd64 all
Homepage : http://www.kernel.org/
Comment 5 Humberto Israel Perez Rodriguez 2016-05-26 20:11:14 UTC
The following tests cases fail with the following configuration :


Tests cases
===============================================
igt@gem_exec_flush@batch-gtt-blt-uc


Gfx stack information
===============================================
 --> Component : drm 
	 tag : libdrm-2.4.68-4-g7aab852 
	 commit : 7aab852 
 --> Component : mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
 --> Component : cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
 --> Component : intel-gpu-tools
	 tag : intel-gpu-tools-1.14-346-gcce2ff0
	 commit : cce2ff0


Software information
===============================================
Kernel version                      : 4.6.0-rc7-drm-intel-nightly-ww20-commit-5528ede+
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Bios revision                       : 138.22
KSC revision                        : 1.12
DMC revision                        : 1.07
GUC revision                        : 8.7


Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : B1
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])


kernel
===============================================
commit 2ec823981d62c56d1511bda42b8295e31ece800f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sun May 22 18:23:13 2016 +0200

    drm-intel-nightly: 2016y-05m-22d-16h-22m-45s UTC integration manifest
Comment 6 Humberto Israel Perez Rodriguez 2016-05-27 20:58:10 UTC
this test cases fail as well with the below configuration


igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@basic-uc-rw-before-default
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@basic-uc-ro-before-default
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-ro-before-blt
Comment 7 Humberto Israel Perez Rodriguez 2016-06-03 17:32:58 UTC
The following tests cases are fail with the following configuration :


Tests cases
===============================================
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-rw-before-vebox


Gfx stack information
===============================================
--> Component : drm 
	 tag : libdrm-2.4.68 
	 commit : fc09c5a 
--> Component : cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
--> Component : intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-348-g303b380 
	 commit : 303b380 
 
Software information
===============================================
Kernel version                      : 4.6.0-drm-intel-nightly-ww23-commit-fb023a2+
Linux distribution                  : Ubuntu 16.04
Architecture                        : 64-bit
Bios revision                       : 138.25
KSC revision                        : 1.12
DMC revision                        : 1.07

Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : B1
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])

kernel
===============================================
commit fb023a2062df06c9e097e1f8f2bcf252194b9413
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon May 30 10:46:14 2016 +0200

    drm-intel-nightly: 2016y-05m-30d-08h-45m-53s UTC integration manifest
Comment 8 Humberto Israel Perez Rodriguez 2016-06-19 17:28:21 UTC
The following test fail with the next configuration :


test cases
=================
igt@gem_exec_flush@uc-rw-before-default
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-ro-before-default
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-rw-before-bsd



kernel : 4.6.1 from http://www.kernel.org/
Graphic stack
--> Component : drm 
         tag : libdrm-2.4.68 
         commit : fc09c5a 
--> Component : mesa 
         tag : mesa-11.2.2 
         commit : 3a9f628 
--> Component : cairo 
         tag : 1.15.2 
         commit : db8a7f1 
--> Component : intel-gpu-tools 
         tag : intel-gpu-tools-1.15 
         commit : 3ce58b6 
Software information
===============================================
Linux distribution                  : Ubuntu 16.04
Architecture                        : 64-bit
Bios revision                       : 138.25
KSC revision                        : 1.12
DMC revision                        : 1.07

Hardware information
===============================================
Platform                            : BXT-P
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : B1
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Comment 9 Humberto Israel Perez Rodriguez 2016-06-29 18:11:47 UTC
The following tests cases fail with the next configuration

Tests cases
============================================
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-ro-before-default
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-rw-before-default
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-render


Software information
============================================
Kernel version                  : 4.7.0-rc4-drm-intel-nightly-ww26-commit-5c244f4+
Linux distribution              : Ubuntu 16.04 LTS
Architecture                    : 64-bit

Hardware information
============================================
Platform                        : BXT-P
Motherboard model               : Broxton P
Motherboard type                : NOTEBOOK Hand Held
Motherboard manufacturer        : Intel Corp.
CPU family                      : B1
CPU information                 : 06/5c
GPU Card                        : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Memory ram                      : 16 GB

Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.7
GUC fw loaded                   : SUCCESS
GUC version wanted              : 8.7
GUC version found               : 8.7

 
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.68-9-g625d181 
	 commit : 625d181 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.15-54-g88c1f7c 
	 commit : 88c1f7c 

Kernel information
============================================
commit 5c244f4b128c6274755007e080d46e0a61b71534
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 24 16:17:56 2016 +0100

    drm-intel-nightly: 2016y-06m-24d-15h-17m-32s UTC integration manifest
Comment 10 Humberto Israel Perez Rodriguez 2016-06-30 14:38:46 UTC
The following tests cases fail with the next configuration

Tests cases
============================================
igt@gem_exec_flush@uc-rw-before-vebox-interruptible
igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-bsd-interruptible
igt@gem_exec_flush@uc-rw-before-blt-interruptible
igt@gem_exec_flush@uc-ro-before-vebox-interruptible
igt@gem_exec_flush@uc-ro-before-bsd-interruptible


Software information
============================================
Kernel version                  : 4.7.0-rc4-drm-intel-nightly-ww26-commit-5c244f4+
Linux distribution              : Ubuntu 16.04 LTS
Architecture                    : 64-bit

Hardware information
============================================
Platform                        : BXT-P
Motherboard model               : Broxton P
Motherboard type                : NOTEBOOK Hand Held
Motherboard manufacturer        : Intel Corp.
CPU family                      : B1
CPU information                 : 06/5c
GPU Card                        : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Memory ram                      : 16 GB

Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.7
GUC fw loaded                   : SUCCESS
GUC version wanted              : 8.7
GUC version found               : 8.7

 
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.68-9-g625d181 
	 commit : 625d181 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.15-54-g88c1f7c 
	 commit : 88c1f7c 

Kernel information
============================================
commit 5c244f4b128c6274755007e080d46e0a61b71534
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jun 24 16:17:56 2016 +0100

    drm-intel-nightly: 2016y-06m-24d-15h-17m-32s UTC integration manifest
Comment 11 Humberto Israel Perez Rodriguez 2016-06-30 14:40:45 UTC
for my last comment as well i've tested the same tests with the following drm-intel-nightly kernel

commit 8a6521c80881208ba106696e67d143ab64bb34c2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jun 29 17:08:50 2016 +0100

    drm-intel-nightly: 2016y-06m-29d-16h-08m-16s UTC integration manifest
Comment 12 Humberto Israel Perez Rodriguez 2016-07-08 16:31:45 UTC
The following tests fails on APL :

Tests cases
=============================================
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-ro-before-default
igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-bsd-interruptible
igt@gem_exec_flush@uc-rw-before-default
igt@gem_exec_flush@uc-rw-before-bsd-interruptible
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-ro-before-vebox-interruptible
igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-rw-before-vebox-interruptible
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-rw-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-bsd


Hardware Information
=============================================
Platform: APL system
Linux distribution: Ubuntu 16.04 64 bits
CPU Name : Intel(R) Genuine Processor @ 1.1 GHz (family: 6, model: 12, stepping: 9) 4 cores
QDF : Q6HE
SoC : B1
CRB : Apollo Lake DDR3L RVP1A FAB1
Reworks : R19, R20
Bios : 144.10
KSC: 1.15

Software Information
===============================================
drm: libdrm-2.4.68-11 7996a87
mesa: mesa-11.2.2 3a9f628
cairo: 1.15.2 db8a7f1
server: xorg-server-1.18.0-443 3762edd 
xf86-video-intel: 2.99.917-674 9154dff
libva: libva-1.7.0-26 c36971c
vaapi-intel-driver: 1.7.0-53 bcde10d
Intel-Gpu-Tools 1.15-87 376b813 

Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.7
GUC fw loaded                   : SUCCESS
GUC version wanted              : 8.7
GUC version found               : 8.7


Kernel
===============================================
commit 2fe5da8adcbe5a34830b98c63878eea756e977a2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Jul 2 19:32:50 2016 +0100

    drm-intel-nightly: 2016y-07m-02d-18h-31m-39s UTC integration manifest
Comment 13 Luis Botello 2016-10-13 18:39:07 UTC
Issue still present over APL with the following config:

Software Config:
=====================================================
Kernel:
commit f35ed31aea66b3230c366fcba5f3456ae2cb956e
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Mon Oct 10 14:29:09 2016 +0300
    drm-intel-nightly: 2016y-10m-10d-11h-28m-51s UTC integration manifest

drm:
  tag: libdrm-2.4.71
  commit: a44c9c31b7b38b3eedf3d26648f9e68dcc377c4c
mesa:
  tag: mesa-12.0.0
  commit: 8b06176f310f65628ce136b90a99005278ba5e0d
cairo:
  tag: 1.15.2
  commit: db8a7f1697c49ae4942d2aa49eed52dd73dd9c7a
xorg-server-macros:
  tag: util-macros-1.19.0-2-gd7acec2
  commit: d7acec2d3a3abe79814ceb72e2c0d4d95ed31d37
xserver:
  tag: xorg-server-1.18.99.901-76-g97a8353
  commit: 97a8353ec1192d8d3bd2ebb99e5687cb91427e09
xf86-video-intel:
  tag: 2.99.917-712-g696f58f
  commit: 696f58f69f2bac5717d19f7a1a2278fee50a083e
libva:
  tag: libva-1.7.2-38-g3b7e499
  commit: 3b7e4999950a04fabd42edbead8c2f24c6cdf3cf
vaapi-intel-driver:
  tag: 1.7.2-133-gdd73514
  commit: dd73514209d7942f2d8c8b0bbb541fe6884ea1bc

Hardware Config:
========================================================
Platform                        : BXT-P
Motherboard model               : Broxton P
Motherboard type                : NOTEBOOK Hand Held
Motherboard manufacturer        : Intel Corp.
CPU family                      : Other
CPU information                 : 06/5c
GPU Card                        : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Comment 14 Elio 2016-11-23 22:04:26 UTC
The problem persist with the following configuration:

Platform BYT: Acer Aspire XC-603
CPU: Intel(R) Pentium(R) CPU J2900 @ 2.41GHz (family 6, model 55, stepping 8)
Motherboard: Aspire XC-603
GPU: Intel® HD Graphics - Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display (rev 0e)

Software
Bios: P11-B2
Linux distribution: Ubuntu 16.04 64 bits

Kernel: 4.9.0-rc4 91e164f branch drm-intel-nightly from http://cgit.freedesktop.org/drm-intel/ 
commit 91e164fea17d3e5366048b6eae3c6eea4e14e9fe
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date: Mon Nov 14 16:31:06 2016 +0200
drm-intel-nightly: 2016y-11m-14d-14h-30m-30s UTC integration manifest

libdrm-2.4.71-13 670f1e4 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-13.0.0 df1b0a5 from git://anongit.freedesktop.org/mesa/mesa
cairo 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
xorg-server-1.18.99.902-2 7513da4 from git://git.freedesktop.org/git/xorg/xserver
xf86-video-intel 2.99.917-731 d1d14f2 from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
libva-1.7.2-40 3a7547b from git://git.freedesktop.org/git/vaapi/libva 
vaapi-intel-driver: 1.7.2-157 55a538c from git://git.freedesktop.org/git/vaapi/intel-driver
intel-gpu-tools-1.16-132 773ac7c from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git

External screen: DELL U2312HM (VGA)

Same test cases:

Error:

 ./gem_exec_flush --run-subtest uc-ro-before-blt
IGT-Version: 1.16-g40a3ada (x86_64) (Linux: 4.9.0-rc6-nightly+ x86_64)
Has LLC? no
CPU features: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2
Test requirement not met in function gem_require_ring, file ioctl_wrappers.c:1484:
Test requirement: gem_has_ring(fd, ring)
Test requirement not met in function gem_require_ring, file ioctl_wrappers.c:1484:
Test requirement: gem_has_ring(fd, ring)
(gem_exec_flush:27357) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:27357) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:27357) CRITICAL: error: 0x24e != 0xfffffdb1
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [run+0xa14]
  #2 [__real_main544+0xb11]
  #3 [main+0x35]
  #4 [__libc_start_main+0xf0]
  #5 [_start+0x29]
  #6 [<unknown>+0x29]
child 0 failed with exit status 99
Subtest uc-ro-before-blt failed.
No log.
Subtest uc-ro-before-blt: FAIL (68.889s)
Test requirement not met in function gem_require_ring, file ioctl_wrappers.c:1484:
Comment 15 maria guadalupe 2016-11-24 19:23:39 UTC
Issue still present over BSW with the following config:

Tests Fail
igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-ro-before-default
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-rw-before-render-interruptible
igt@gem_exec_flush@uc-rw-before-vebox

 Software information
============================================
Kernel version                  : 4.9.0-rc6-nightly+
Linux distribution              : Ubuntu 16.04.1 LTS
Architecture                    : 64-bit
Gfx stack code                  : 2141224538
xf86-video-intel version        : 2.99.917
Xorg-Xserver version            : 1.18.4
DRM version                     : 2.4.73
Cairo version                   : 1.15.2
Intel GPU Tools version         : Tag [intel-gpu-tools-1.16-156-gcddf996] / Commit [cddf996]
Kernel driver in use            : i915
Bios revision                   : 0.33
Bios release date               : 08/12/2015
KSC revision                    : 0.16


 Hardware information
============================================
Platform                        : BSW
Motherboard model               : 10G9000NUS
Motherboard type                : BRASWELL Desktop
Motherboard manufacturer        : LENOVO
CPU family                      : Pentium
CPU information                 : Intel(R) Pentium(R) CPU  N3700  @ 1.60GHz
GPU Card                        : Intel Corporation Device 22b1 (rev 21) (prog-if 00 [VGA controller])
Memory ram                      : 8 GB
Maximum memory ram allowed      : 8 GB
CPU thread                      : 4
CPU core                        : 4
Hard drive capacity             : 476GiB (512GB)
Comment 16 Chris Wilson 2017-02-07 12:24:59 UTC
It is an expected side-effect of hardware speculation.
Comment 17 Humberto Israel Perez Rodriguez 2017-05-17 18:52:58 UTC
issue still present with latest configuration on APL

Test cases :
======================================
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-bsd-interruptible
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-rw-before-render-interruptible
igt@gem_exec_flush@uc-ro-before-bsd


======================================
             Software
======================================
kernel version              : 4.12.0-rc1-drm-tip-ww20-commit-713f8ec+
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 03/10/2017
ksc                         : 16.0

======================================
        Graphic drivers
======================================
Component: drm
    tag: libdrm-2.4.80-11-ga2fa2e0
    commit: a2fa2e08692483cf9f4d06caa6e0f0add59e3343

Component: cairo
    tag: 1.15.4-21-g9d44136
    commit: 9d44136ef8e2a1ad2c6631beb4bbdaeed7a2dad8

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.18-173-g93215b0
    commit: 93215b00db06ba568c34a6cad194f4749bbfbc9d

Component: piglit
    tag: piglit-v1
    commit: 7352f4a98a23eae1201bfc4a0121d9c3a969d23f

======================================
             Hardware
======================================
motherboard model          : NUC6CAYS
motherboard id             : NUC6CAYB
form factor                : Desktop
manufacturer               : Intelcorporation
cpu family                 : Celeron
cpu family id              : 6
cpu information            : Intel(R) Celeron(R) CPU J3455 @ 1.50GHz
gpu card                   : Intel Corporation Device 5a85 (rev 0b) (prog-if 00 [VGA controller])
memory ram                 : 15.54 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 92
cpu stepping               : 9
signature                  : Type 0, Family 6, Model 92, Stepping 9
current cd clock frequency : 384000 kHz
maximum cd clock frequency : 624000 kHz
displays connected         : DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.7
guc fw loaded             : NONE
guc version wanted        : 0.0
guc version found         : 0.0
Add Comment
Comment 18 Ander Conselvan de Oliveira 2017-06-02 07:35:46 UTC
Should this be closed as NOTABUG?
Comment 19 Humberto Israel Perez Rodriguez 2017-06-28 20:39:19 UTC
(In reply to Ander Conselvan de Oliveira from comment #18)
> Should this be closed as NOTABUG?

good question Ander.
meanwhile this test keeps failing on GLK with latest configuration


testlist
==================================
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-rw-before-bsd


Component: drm
    tag: libdrm-2.4.80-29-g7e6bf88
    commit: 7e6bf88cac315a9fa41818cf72a7b5d18a2cb1fc
Component: cairo
    tag: 1.15.4-28-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51
Component: intel-gpu-tools
    tag: intel-gpu-tools-1.18-284-g9918014
    commit: 9918014df55d0393f99a31e3c398a4b38c90bb80
Component: piglit
    tag: piglit-v1
    commit: 1b8356e6dfa07480c154fccb47f6ef9c908ef652


Kernel
======================================
commit 85a692e2c6a7cf93082044d776e838cb9e9b2146
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Wed Jun 28 15:25:29 2017 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Wed Jun 28 15:25:29 2017 +0100
Comment 20 Elizabeth 2017-07-27 16:15:06 UTC
(In reply to Ander Conselvan de Oliveira from comment #18)
> Should this be closed as NOTABUG?

Any update on this? Thank you.
Comment 21 Hector Velazquez 2017-07-31 14:28:09 UTC
The following tests FAIL on BSW with this configuration

Tests List:

igt@gem_exec_flush@uc-ro-before-render-interruptible
igt@gem_exec_flush@uc-rw-before-render-interruptible
igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-vebox-interruptible



This is my configuration:

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-33-g3876bc2
    commit: 3876bc246a07070a6043159cd7623d4def9bbd4c
	
Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-125-gf145475
    commit: f145475173b6d28e550dde27cc361cfb517cbbc3

Component: piglit
    tag: piglit-v1
    commit: 3ff4501e5b8c3f44dfb284edb60b4db7b71ed290



**************************************************************
* * * * * * * * SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

======================================
             Software
======================================
kernel version              : 4.13.0-rc2-drm-tip-ww30-commit-1eb8669+
/bin/bash: BSW-1-BRASWELL: command not found
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 0.33
bios release date           : 08/12/2015
ksc                         : 0.16
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
modesetting                 : enabled
modesetting compiled for    : 1.18.4 X.Org Video Driver
xorg-xserver                : 1.18.4
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-125-gf145475
intel-gpu-tools (commit)    : f145475

======================================
             Hardware
======================================
platform                   : Braswell
motherboard model          : 10G9000NUS
motherboard id             : BRASWELL
form factor                : Desktop
manufacturer               : LENOVO
cpu family                 : Pentium
cpu family id              : 6
cpu information            : Intel(R) Pentium(R) CPU  N3700  @ 1.60GHz
gpu card                   : Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 21) (prog-if 00 [VGA controller])
memory ram                 : 7.68 GB
max memory ram             : 8 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 76
cpu stepping               : 3
socket                     : Socket BGA1155
signature                  : Type 0, Family 6, Model 76, Stepping 3
hard drive                 : 74GiB (80GB)
current cd clock frequency : 266667 kHz
maximum cd clock frequency : 320000 kHz
displays connected         : DP-1 DP-3

======================================
             Firmware
======================================

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e resume=/dev/sda3 fastboot
Comment 22 Elizabeth 2017-08-23 16:25:16 UTC
Still failing on GLK:
# ./gem_exec_flush --run-subtest uc-ro-before-blt
# ./gem_exec_flush --run-subtest uc-ro-before-bsd
# ./gem_exec_flush --run-subtest uc-ro-before-render
# ./gem_exec_flush --run-subtest uc-ro-before-vebox
# ./gem_exec_flush --run-subtest uc-rw-before-blt
# ./gem_exec_flush --run-subtest uc-rw-before-bsd
# ./gem_exec_flush --run-subtest uc-rw-before-render
# ./gem_exec_flush --run-subtest uc-rw-before-render-interruptible

Gfx stack
=====================================================
Component: drm
    tag: libdrm-2.4.81-46-g9d133dd
    commit: 9d133dd08720d80dfc8ce098bf0972ebd05c454d

Component: cairo
    tag: 1.15.6-14-gf351595
    commit: f3515954e0bc9c9ca413a84a8dd842145cec83a7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-193-g5a17ee2
    commit: 5a17ee2c8f9013f5db852d27564b837f9f2c5a9f

Component: piglit
    tag: piglit-v1
    commit: 2a7047a32bb3a9a4fad5bea0a8185d63af6bddf3

Kernel info
=====================================================
commit ad6ab9f96437f0cb1f4d8a7840fd9eeb894eb12e
Author:     Gustavo Padovan <gustavo.padovan@collabora.com>
AuthorDate: Fri Aug 18 15:26:42 2017 -0300
Commit:     Gustavo Padovan <gustavo.padovan@collabora.com>
CommitDate: Fri Aug 18 15:26:42 2017 -0300

    drm-tip: 2017y-08m-18d-18h-21m-46s UTC integration manifest
=====================================================
Comment 23 Elizabeth 2017-08-23 22:04:39 UTC
Still failing on BXT:

igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-ro-before-bsd

With kernel:

commit ad6ab9f96437f0cb1f4d8a7840fd9eeb894eb12e
Author:     Gustavo Padovan <gustavo.padovan@collabora.com>
AuthorDate: Fri Aug 18 15:26:42 2017 -0300
Commit:     Gustavo Padovan <gustavo.padovan@collabora.com>
CommitDate: Fri Aug 18 15:26:42 2017 -0300

    drm-tip: 2017y-08m-18d-18h-21m-46s UTC integration manifest
Comment 24 Hector Velazquez 2017-08-30 19:03:09 UTC
The following tests Pass on GLK with this configuration

Tests List:

igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-bsd-interruptible
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-rw-before-vebox


The following tests Fail on GLK with this configuration

Test List:

igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-ro-before-bsd-interruptible
igt@gem_exec_flush@uc-ro-before-default-interruptible
igt@gem_exec_flush@uc-ro-before-render-interruptible
igt@gem_exec_flush@uc-ro-before-vebox-interruptible
igt@gem_exec_flush@uc-rw-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-rw-before-default-interruptible
igt@gem_exec_flush@uc-rw-before-render-interruptible
igt@gem_exec_flush@uc-rw-before-vebox-interruptible


This is my configuration:

======================================
        Graphic stack
======================================

Component: drm
    tag: libdrm-2.4.81-51-gf19dbb7
    commit: f19dbb79fe54994ecd505ac67ad15d19f591933a

Component: cairo
    tag: 1.15.6-25-g12b875a
    commit: 12b875aef374636d1693a631524dd3b622277415

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-206-g60f6a12
    commit: 60f6a12195395934f179d5ecc080353190d19a6c

Component: piglit
    tag: piglit-v1
    commit: 739bcd89179ea9aa752f2f5c9eb405fb9dd396b0
Comment 25 Elizabeth 2017-09-13 19:05:15 UTC
Created attachment 134201 [details]
dmesg log GLK

Adding dmesg for GLK with 4.13.0-drm-tip-ww37-commit-694f07d+
Same assert in the output for tests on comment #24 :
(gem_exec_flush:1415) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:1415) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:1415) CRITICAL: error: 0xdeadbeef != 0xffffffff
(gem_exec_flush:1416) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:1416) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:1416) CRITICAL: error: 0xdeadbeef != 0xffffffef
Stack trace:
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #0 [__igt_fail_assert+0x101]
  #1 [run+0x8f3]
  #1 [run+0x8f3]
  #2 [_fini+0x16f]
  #2 [_fini+0x16f]
child 1 failed with exit status 99
Subtest uc-rw-before-vebox-interruptible failed.
No log.
Subtest uc-rw-before-vebox-interruptible: FAIL (0.002s)
Comment 26 Armando Antonio 2017-09-15 17:12:40 UTC
The following test case is working well in APL with latest configuration


======================================
Test list
======================================
igt@gem_exec_flush@uc-ro-before-render

======================================
             Software
======================================
kernel version              : 4.13.0-drm-tip-ww37-commit-29603d0+
hostname                    : BXT-3
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 06/19/2017
ksc                         : 18.0
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-288-gb6ea8b2
intel-gpu-tools (commit)    : b6ea8b2

======================================
             Hardware
======================================
motherboard model          : NUC6CAYS
motherboard id             : NUC6CAYB
form factor                : Desktop
manufacturer               : Intelcorporation
cpu family                 : Celeron
cpu family id              : 6
cpu information            : Intel(R) Celeron(R) CPU J3455 @ 1.50GHz
gpu card                   : Intel Corporation Device 5a85 (rev 0b) (prog-if 00 [VGA controller])
memory ram                 : 15.52 GB
max memory ram             : 32 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 92
cpu stepping               : 9
socket                     : Other
signature                  : Type 0, Family 6, Model 92, Stepping 9
hard drive                 : 279GiB (300GB)
current cd clock frequency : 288000 kHz
maximum cd clock frequency : 624000 kHz
displays connected         : DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.7
guc fw loaded             : SUCCESS
guc version wanted        : 8.7
guc version found         : 8.7

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e i915.enable_guc_loading=2 i915.enable_guc_submission=2 auto panic=1 nmi_watchdog=panic intel_iommu=igfx_off resume=/dev/sda3 fastboot
Comment 27 Armando Antonio 2017-09-15 17:14:29 UTC
Sorry, I forgot to mention that this test case igt@gem_exec_flush@uc-rw-before-render is working well too
Comment 28 Hector Velazquez 2017-09-27 19:12:41 UTC
This test also is failing on GLK QA

Tests List:

igt@gem_exec_flush@uc-ro-before-bsd-interruptible
igt@gem_exec_flush@uc-ro-before-default-interruptible
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-ro-before-render-interruptible
igt@gem_exec_flush@uc-ro-before-vebox
igt@gem_exec_flush@uc-ro-before-vebox-interruptible
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-rw-before-bsd-interruptible
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-rw-before-render-interruptible
igt@gem_exec_flush@uc-rw-before-vebox-interruptible


====================================================
Output
====================================================

. . .
(gem_exec_flush:5140) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:5140) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:5140) CRITICAL: error: 0 != 0xffffffff
(gem_exec_flush:5141) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:5141) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:5141) CRITICAL: error: 0 != 0xffffffff
Subtest uc-ro-before-bsd-interruptible failed.
. . .



This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-56-g7c71188
    commit: 7c71188610b4ceba0339c2bc884320bcb749adee

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-332-g0a91a5e
    commit: 0a91a5e9624d41d23b79e2540eda111cb56d42d9

Component: piglit
    tag: piglit-v1
    commit: 95e2f51a28b6cf7ff77d84e1234121c98f10ef64
	
======================================
             Software
======================================
kernel version              : 4.14.0-rc2-drm-tip-ww39-commit-d76cbbc+
hostname                    : GLK-2-GLKRVP1DDR405
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 62.30
bios release date           : 08/22/2017
ksc                         : 1.41
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-332-g0a91a5e
intel-gpu-tools (commit)    : 0a91a5e

======================================
             Hardware
======================================
. . .

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : SUCCESS
guc version wanted        : 10.56
guc version found         : 10.56
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0xe pci=pcie_bus_safe i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot
Comment 29 Hector Velazquez 2017-09-27 19:23:58 UTC
This two test also is failing on GLK QA with the same configuration of comment 28

igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-blt-interruptible
Comment 30 Hector Velazquez 2017-11-17 21:11:38 UTC
This tests still failing on GLK QA

igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-ro-before-bsd-interruptible
igt@gem_exec_flush@uc-ro-before-default
igt@gem_exec_flush@uc-ro-before-default-interruptible
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-ro-before-render-interruptible
igt@gem_exec_flush@uc-ro-before-vebox-interruptible
igt@gem_exec_flush@uc-rw-before-blt
igt@gem_exec_flush@uc-rw-before-blt-interruptible
igt@gem_exec_flush@uc-rw-before-bsd
igt@gem_exec_flush@uc-rw-before-bsd-interruptible
igt@gem_exec_flush@uc-rw-before-default
igt@gem_exec_flush@uc-rw-before-default-interruptible
igt@gem_exec_flush@uc-rw-before-render
igt@gem_exec_flush@uc-rw-before-render-interruptible
igt@gem_exec_flush@uc-rw-before-vebox
igt@gem_exec_flush@uc-rw-before-vebox-interruptible

IGT-Version: 1.20-g88d6550 (x86_64) (Linux: 4.14.0-drm-tip-ww46-commit-1fc4fe8+ x86_64)

Component: drm
    tag: libdrm-2.4.81-107-g18ffe48
    commit: 18ffe485cdfa41d48b6f2d3080cb990d28c27d57

Component: cairo
    tag: 1.15.6-83-g0c8070f
    commit: 0c8070f5bc74c124e6393b433a61807a8e4bee5d

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-483-g88d6550
    commit: 88d6550795fad3974d77e4db2f563c5e2e8872e1

Component: piglit
    tag: piglit-v1
    commit: b6aee208234287380d2e55c17dc2d236931284fa
Comment 31 Octavio 2017-12-19 16:01:22 UTC
The following tests cases fail on GLK :

tests cases
===========================
igt@gem_exec_flush@uc-rw-before-vebox-interruptible
igt@gem_exec_flush@uc-rw-before-vebox

configuration 
===========================
IGT-Version: 1.20-gc0be331 (x86_64) (Linux: 4.15.0-rc4-drm-intel-qa-ww51-commit-bf5cdf9+ x86_64)

output
===========================

(gem_exec_flush:2045) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:2045) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:2045) CRITICAL: error: 0 != 0xffffffff
(gem_exec_flush:2046) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:2046) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:2046) CRITICAL: error: 0 != 0xffffffff
Subtest uc-ro-before-vebox-interruptible failed.
No log.
Comment 32 Hector Velazquez 2018-02-12 14:23:14 UTC
This test continue failing on GLK QA 

Tests List:

igt@gem_exec_flush@uc-ro-before-vebox

IGT-Version: 1.21-g94bd67c (x86_64) (Linux: 4.15.0-drm-tip-ww6-commit-078873d+ x86_64)

======================================
        output sample
======================================
. . .
(gem_exec_flush:1589) ioctl-wrappers-DEBUG: Test requirement passed: gem_has_ring(fd, ring)
(gem_exec_flush:1589) DEBUG: Test requirement passed: gem_can_store_dword(fd, ring)
(gem_exec_flush:1589) ioctl-wrappers-DEBUG: Test requirement passed: gem_has_ring(fd, ring)
(gem_exec_flush:1589) DEBUG: Test requirement passed: gem_can_store_dword(fd, ring)
(gem_exec_flush:1589) igt-core-DEBUG: Starting subtest: uc-ro-before-vebox
(gem_exec_flush:1594) ioctl-wrappers-DEBUG: Test requirement passed: __gem_set_caching(fd, handle, caching) == 0
(gem_exec_flush:1594) DEBUG: Test requirement passed: __gem_execbuf(fd, &execbuf) == 0
(gem_exec_flush:1594) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:1594) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:1594) CRITICAL: error: 0x3d1 != 0xfffffc2e
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [run+0x8f3]
  #2 [_fini+0x169]
Subtest uc-ro-before-vebox failed.
. . .
Comment 33 Hector Velazquez 2018-02-14 18:49:17 UTC
This test continue failing on GLK QA 

Tests List:

igt@gem_exec_flush@uc-ro-before-default
igt@gem_exec_flush@uc-ro-before-default-interruptible

IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww7-commit-28dc2a5+ x86_64)

======================================
        output sample
======================================
. . .
(gem_exec_flush:4023) DEBUG: Test requirement passed: igt_setup_clflush()
(gem_exec_flush:4023) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_flush:4023) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_exec_flush:4023) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(gem_exec_flush:4023) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_exec_flush:4023) ioctl-wrappers-DEBUG: Test requirement passed: err == 0
(gem_exec_flush:4023) DEBUG: Test requirement passed: gem_mmap__has_wc(fd)
(gem_exec_flush:4023) DEBUG: Test requirement passed: gem_can_store_dword(fd, 0)
Has LLC? no
CPU features: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2
(gem_exec_flush:4023) ioctl-wrappers-DEBUG: Test requirement passed: gem_has_ring(fd, ring)
(gem_exec_flush:4023) DEBUG: Test requirement passed: gem_can_store_dword(fd, ring)
(gem_exec_flush:4023) igt-core-DEBUG: Starting subtest: uc-ro-before-default
(gem_exec_flush:4035) ioctl-wrappers-DEBUG: Test requirement passed: __gem_set_caching(fd, handle, caching) == 0
(gem_exec_flush:4035) DEBUG: Test requirement passed: __gem_execbuf(fd, &execbuf) == 0
(gem_exec_flush:4035) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:4035) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:4035) CRITICAL: error: 0x64 != 0xffffff9b
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [run+0x9c4]
  #2 [_fini+0x1e05]
  #3 [<unknown>+0x1e05]
Subtest uc-ro-before-default failed.
No log.
. . .
Comment 34 Hector Velazquez 2018-02-20 13:51:13 UTC
This test has failed on GLK QA

Test List

igt@gem_exec_flush@uc-ro-before-bsd
igt@gem_exec_flush@uc-ro-before-blt-interruptible
igt@gem_exec_flush@uc-ro-before-vebox

Software:
IGT-Version: 1.21-gbf777c9 (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww8-commit-79e91ad+ x86_64)

======================================
        output sample
======================================
. . .
(gem_exec_flush:2171) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:2171) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:2171) CRITICAL: error: 0x2f5 != 0xfffffd0a
Subtest uc-ro-before-bsd failed.
No log.
. . .
(gem_exec_flush:3304) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:323:
(gem_exec_flush:3304) CRITICAL: Failed assertion: map[i] == i
(gem_exec_flush:3304) CRITICAL: error: 0xfffffc1f != 0x3e0
Subtest uc-ro-before-blt-interruptible failed.
No log.
. . .
(gem_exec_flush:1681) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:323:
(gem_exec_flush:1681) CRITICAL: Failed assertion: map[i] == i
(gem_exec_flush:1681) CRITICAL: error: 0xffffffdb != 0x24
Subtest uc-ro-before-vebox failed.
No log.
. . .
Comment 35 Hector Velazquez 2018-02-27 16:10:23 UTC
This test has fail on GLK QA
Test List
igt@gem_exec_flush@uc-rw-before-default

IGT-Version: 1.21-ga2664f8 (x86_64) (Linux: 4.16.0-rc2-drm-tip-ww9-commit-3a86cab+ x86_64)

======================================
        output sample
======================================
. . .
(gem_exec_flush:670) DEBUG: Test requirement passed: igt_setup_clflush()
(gem_exec_flush:670) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_flush:670) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_exec_flush:670) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(gem_exec_flush:670) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_exec_flush:670) ioctl-wrappers-DEBUG: Test requirement passed: dir >= 0
(gem_exec_flush:670) ioctl-wrappers-DEBUG: Test requirement passed: err == 0
(gem_exec_flush:670) DEBUG: Test requirement passed: gem_mmap__has_wc(fd)
(gem_exec_flush:670) DEBUG: Test requirement passed: gem_can_store_dword(fd, 0)
Has LLC? no
CPU features: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2
(gem_exec_flush:670) ioctl-wrappers-DEBUG: Test requirement passed: gem_has_ring(fd, ring)
(gem_exec_flush:670) DEBUG: Test requirement passed: gem_can_store_dword(fd, ring)
(gem_exec_flush:670) igt-core-DEBUG: Starting subtest: uc-rw-before-default
(gem_exec_flush:684) ioctl-wrappers-DEBUG: Test requirement passed: __gem_set_caching(fd, handle, caching) == 0
(gem_exec_flush:684) DEBUG: Test requirement passed: __gem_execbuf(fd, &execbuf) == 0
(gem_exec_flush:684) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:321:
(gem_exec_flush:684) CRITICAL: Failed assertion: map[i] == i ^ 0xffffffff
(gem_exec_flush:684) CRITICAL: error: 0xdeadbeef != 0xfffffd6c
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [run+0x8f3]
  #2 [_fini+0x170]
Subtest uc-rw-before-default failed.
No log.
child 2 failed with exit status 99
. . .
Comment 36 Elizabeth 2018-03-12 23:19:10 UTC
Last seen on BYT with IGT-Version: 1.21-g37bd27f, kernel 4.15.0-commit-6c10ba2. Removing platform.
Comment 37 Elizabeth 2018-03-22 22:05:56 UTC
This tests keep failing on BSW:

igt@gem_exec_flush@uc-ro-before-blt
igt@gem_exec_flush@uc-ro-before-render
igt@gem_exec_flush@uc-rw-before-render

Sample Out:	
IGT-Version: 1.22-g2e92134 (x86_64) (Linux: 4.16.0-rc5-drm-intel-qa-ww11-commit-e867298+ x86_64)
Has LLC? no
CPU features: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [run+0x91d]
  #2 [_fini+0x166]
child 0 failed with exit status 99
Subtest uc-ro-before-render: FAIL (2.020s)
Test requirement not met in function gem_require_ring, file ioctl_wrappers.c:1486:
Test requirement: gem_has_ring(fd, ring)
Test requirement not met in function gem_require_ring, file ioctl_wrappers.c:1486:
Test requirement: gem_has_ring(fd, ring)
Err	
(gem_exec_flush:6349) CRITICAL: Test assertion failure function run, file gem_exec_flush.c:323:
(gem_exec_flush:6349) CRITICAL: Failed assertion: map[i] == i
(gem_exec_flush:6349) CRITICAL: error: 0xfffffcb5 != 0x34a
Subtest uc-ro-before-render failed.
No log.
Comment 38 Jani Saarinen 2018-03-29 07:10:12 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 39 Jani Saarinen 2018-04-05 11:46:28 UTC
expected fail on platforms that are broken.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.